library(shiny)

# Define UI for miles per gallon application
shinyUI(fluidPage(

  # Application title
  headerPanel("Two Sample t-Test"),

  fluidRow(column(3,wellPanel(
                  h3("Inputs"),
            sliderInput("sides", "Sides:", 
            min=1, max=2, value=1, step=1),

		sliderInput("xbar_diff", "Difference Between Means:", 
            min=0, max=10, value=2, step=0.1),

		sliderInput("alpha", "Alpha:", 
            min=0, max=1, value=0.2, step=0.01),

		sliderInput("n1", "n1:", 
            min=0, max=100, value=30, step=1),

		sliderInput("n2", "n2:", 
            min=0, max=100, value=30, step=1),

		sliderInput("s1", "s1:", 
            min=1, max=10, value=5, step=.1),

		sliderInput("s2", "s2:", 
            min=1, max=10, value=5, step=.1)
	
	)),

    # Show the caption and plot of the requested variable against mpg
	column(9,
    h4(textOutput("Cpower")),
    h4(textOutput("Ccrit")),
    h4(textOutput("Cncp")),
    plotOutput("powerPlot"))
    
  ),
	fluidRow(column(3,wellPanel(
	                h3("Plot Options"),
	                sliderInput("maxn", "max n:",min=5, max=100, value=30, step=1),
	                downloadButton('downloadData', 'Download Trend Data'))),
	         column(9,
	                plotOutput("trendPlot")
	         ))
))